| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::LoadableScriptRealFunctionBase Class Reference

Base class for loadable scripts that define real functions of one variable. More...

Inheritance diagram for IG::Lib::LoadableScriptRealFunctionBase:
[legend]
Collaboration diagram for IG::Lib::LoadableScriptRealFunctionBase:
[legend]

List of all members.

## Public Member Functions
abstract LoadableRealFunctionBase | CreateRealFunction ()
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.
abstract LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.
abstract LoadableRealFunctionBase | CreateRealFunction (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.
## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Script initialization, defined just for formal reasons.
override string | RunThis (string[] arguments)
| Script execution, defined just for formal reasons.

## Detailed Description

Base class for loadable scripts that define real functions of one variable.

$A Igor Jun10 Sep11;

## Member Function Documentation

abstract LoadableRealFunctionBase IG::Lib::LoadableScriptRealFunctionBase::CreateRealFunction | ( |  | ) | `[pure virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Implemented in IG::Script::ScritpRealFunctionExample.

abstract LoadableRealFunctionBase IG::Lib::LoadableScriptRealFunctionBase::CreateRealFunction | ( | double | Kx,
|  | double | Sx
| ) |  | `[pure virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.

$A Igor Sep11;

Implemented in IG::Script::ScritpRealFunctionExample.

abstract LoadableRealFunctionBase IG::Lib::LoadableScriptRealFunctionBase::CreateRealFunction | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[pure virtual]`

Creates and returns a new real function object where object is of real function class that has been dynamically loaded from the current script.

Parameters:

  Kx | Stretch of the reference function graph in x direction.
  Sx | Shift of the reference function graph in x direction.
  Ky | Stretch of the reference function graph in y direction.
  Sy | Shift of the reference function graph in y direction.

$A Igor Sep11;

Implemented in IG::Script::ScritpRealFunctionExample.

override void IG::Lib::LoadableScriptRealFunctionBase::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Script initialization, defined just for formal reasons.

Implements IG::Lib::LoadableScriptBase.

override string IG::Lib::LoadableScriptRealFunctionBase::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Script execution, defined just for formal reasons.

Implements IG::Lib::LoadableScriptBase.

The documentation for this class was generated from the following file:

- RealFunctionScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events